server:
  port: 8082
spring:
  application:
    name: hello-consumer-service
  main:
    allow-bean-definition-overriding: true
    allow-circular-references: true
  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848
dubbo:
  application:
    name: hello-consumer-service
  cloud:
    subscribed-services: hello-provider-service
  registry:
    address: spring-cloud://127.0.0.1
    username: nacos
    password: nacos
  protocol:
    name: dubbo
    port: -1


